Skip to main content
GET
/
payment-intents
/
{paymentIntentId}
Get payment intent
curl --request GET \
  --url https://apiv2.example.com/payment-intents/{paymentIntentId} \
  --header 'X-Api-Key: <api-key>'
{
  "paymentIntentId": "64870b5c-fb61-4c9a-955a-e148e0826c20",
  "customerId": "a1b2c3d4-e5f6-4a5b-8c9d-0e1f2a3b4c5d",
  "status": "SUCCEEDED",
  "amount": 29,
  "currency": "USD",
  "lineItems": [
    {
      "description": "Mobile subscription - Premium Plan",
      "amount": 29,
      "subscriptionId": "a8174435-6378-4be5-a9f5-8b4aaadae5d4",
      "licenseId": "ffb19d4f-b3b6-4f2b-9365-dd80bdcf0a77",
      "discounts": [
        {
          "description": "Loyalty discount",
          "amount": 5
        }
      ],
      "taxes": [
        {
          "description": "VAT 25%",
          "amount": 7.25
        }
      ]
    }
  ],
  "attempts": [
    {
      "paymentAttemptId": "a4da2b04-aa79-4b40-8987-048d6caf118f",
      "amount": 29,
      "currency": "USD",
      "result": "SUCCEEDED",
      "createdAt": "2024-01-15T10:00:00Z",
      "reason": "card_declined",
      "chargedAt": "2024-01-15T10:00:00Z"
    }
  ],
  "refunds": [
    {
      "refundId": "c014b666-22e4-430e-bb18-9257a383dfe2",
      "amount": 29,
      "currency": "USD",
      "status": "SUCCEEDED",
      "createdAt": "2024-01-15T10:00:00Z",
      "reason": "REQUESTED_BY_CUSTOMER"
    }
  ],
  "createdAt": "2024-01-15T10:00:00Z",
  "updatedAt": "2024-01-15T10:00:00Z",
  "description": "Mobile subscription renewal",
  "dueAt": "2024-01-15T10:00:00Z"
}

Authorizations

X-Api-Key
string
header
required

An API key that grants access to the Connect API. You can create and manage API keys in the portal.

Path Parameters

paymentIntentId
string
required

The unique identifier of the payment intent to retrieve.

Response

Payment intent retrieved successfully

A collection of money driven over card rails for a customer, with its charge attempts, refunds, and billed line items.

paymentIntentId
string
required

The unique identifier for this payment intent.

Example:

"64870b5c-fb61-4c9a-955a-e148e0826c20"

customerId
string
required

The customer this payment intent collects from.

Example:

"a1b2c3d4-e5f6-4a5b-8c9d-0e1f2a3b4c5d"

status
enum<string>
required

Current stage of a payment intent as it is collected over card rails.

Available options:
PENDING,
REQUIRES_ACTION,
PROCESSING,
SUCCEEDED,
REQUIRES_PAYMENT_METHOD,
CANCELLED
Example:

"SUCCEEDED"

amount
number<decimal>
required

The total amount to collect.

Example:

29

currency
string
required

The currency of the amount.

Example:

"USD"

lineItems
object[]
required

The items that make up the collected amount.

attempts
object[]
required

Charge attempts made against this payment intent, most recent first.

refunds
object[]
required

Refunds issued against this payment intent.

createdAt
string<date-time>
required

When the payment intent was created.

Example:

"2024-01-15T10:00:00Z"

updatedAt
string<date-time>
required

When the payment intent was last updated.

Example:

"2024-01-15T10:00:00Z"

description
string

A human-readable description of what is being collected.

Example:

"Mobile subscription renewal"

dueAt
string<date-time>

When the amount is due.

Example:

"2024-01-15T10:00:00Z"